
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "ecoportal/api/v2/version"

Gem::Specification.new do |spec|
  spec.name          = "ecoportal-api-oozes"
  spec.version       = Ecoportal::API::V2::GEM_VERSION
  spec.authors       = ["Oscar Segura"]
  spec.email         = ["rien@ecoportal.co.nz", "oscar@ecoportal.co.nz", "bozydar@ecoportal.co.nz"]

  spec.summary       = %q{A collection of helpers for interacting with the ecoPortal MS's V2 API}
  spec.homepage      = "https://www.ecoportal.com"
  spec.licenses      = %w[MIT]

  spec.required_ruby_version = '>= 2.4.4'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler",   ">= 2.1.3",  "< 2.2"
  spec.add_development_dependency "rspec",     ">= 3.9",    "< 4"
  spec.add_development_dependency "rake",      ">= 12.3.0", "< 13"
  spec.add_development_dependency "yard",      ">= 0.9.18", "< 0.10"
  spec.add_development_dependency "redcarpet", ">= 3.5.0",  "< 3.6"
  spec.add_development_dependency "pry"

  spec.add_dependency 'ecoportal-api', '>= 0.7.4', '< 0.8'

  spec.post_install_message = %{
    The 'ecoportal-api-oozes' gem has been deprecated and has been replaced by 'ecoportal-api-v2'.
    See: https://rubygems.org/gems/ecoportal-api-v2
  }
end
